from typing import Any
from fastapi import APIRouter, HTTPException
from pydantic import BaseModel
import logging
import json
# from app.api.deps import CurrentUser, SessionDep
# from app.models import Item, ItemCreate, ItemPublic, ItemsPublic, ItemUpdate, Message
logging.basicConfig(
    filename='/home/epm/pylog/fastApiApp.log',  # Specify the log file
    filemode='w',  # Append the log messages to the file
    format='%(asctime)s - %(name)s - %(levelname)s - %(message)s',
    level=logging.DEBUG  # Set the logging level to DEBUG
)
sysapp = logging.getLogger('fastApiApp')

class Item(BaseModel):
    json_str: str

#router = APIRouter()
router = APIRouter(
    prefix="/items",
    responses={404: {"description": "Not found"}},
)

#http://apptest.epm2demo.cn:4002/admin/items/users
@router.get("/users")
def read_items():
    return [{"username": "Rick"}, {"username": "Morty"}]

@router.put(
    "/{item_id}",
    responses={403: {"description": "Operation forbidden"}},
)
async def update_item(item_id: str):
    sysapp.debug(f"update_item: {item_id}")
    if item_id != "plumbus":
        raise HTTPException(
            status_code=403, detail="You can only update the item: plumbus"
        )
    return {"item_id": item_id, "name": "The great Plumbus"}

@router.post(
    "/create_item"
)
def create_item(item_in: Item):
    sysapp.info(f"create_item: {item_in}")
    json_str = item_in.json_str
    json_obj = json.loads(json_str)
    sysapp.info(f"create_item: {json_obj}")
    return {"json_obj": json_obj}